package dev.micle.totemofreviving.item.totem;

import dev.micle.totemofreviving.config.Config;
import dev.micle.totemofreviving.item.charge.StrawChargeItem;
import net.minecraft.item.ItemStack;
import net.minecraft.item.Rarity;

public class StrawTotemItem extends TotemItem {
	public StrawTotemItem() {
		super(Rarity.UNCOMMON, Config.Server.getStrawTotemConfig().getDurability());
	}
	
	public static String getName() {
		return "straw_totem";
	}
	
	@Override
	public boolean isCharge(ItemStack stack) {
		return (stack.getItem() instanceof StrawChargeItem);
	}
}
